%define name      myspell-dictionaries
# Define to "1.0" for OOo < 1.0.1
%define myversion 1.0.2
%define myrelease 1mdk

%if "%{version}" == "1.0"
%define dictdir	%{_libdir}/myspell
%else
%define dictdir	%{_datadir}/dict/ooo
%endif

Summary:	MySpell Spelling and Hyphenation dictionaries
Name:		%{name}
Version:	%{myversion}
Release:	%{myrelease}
URL:		http://dict.progbits.com/download_dictionary.html
Source0:	myspell-genpackages.sh
License:	BSD/GPL/LGPL
Group:		System/Internationalization
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
BuildRequires:	unzip

##
## Sources for spell checking dictionaries
##

Source100: bg_BG.zip
Source101: ca_ES.zip
Source102: hr_HR.zip
Source103: cs_CZ.zip
Source104: da_DK.zip
Source105: nl_NL.zip
Source106: en_CA.zip
Source107: en_GB.zip
Source108: en_US.zip
Source109: fr_FR.zip
Source110: de_DE.zip
Source111: de_CH.zip
Source112: el_GR.zip
Source113: hu_HU.zip
Source114: it_IT.zip
Source115: pl_PL.zip
Source116: pt_PT.zip
Source117: pt_BR.zip
Source118: es_ES.zip
Source119: sk_SK.zip
Source120: sv_SE.zip
Source121: nb_NO.zip
Source122: nn_NO.zip
Source123: ga_IE.zip
Source124: gl_ES.zip
Source125: ru_RU.zip
Source126: sl_SI.zip
Source127: uk_UA.zip
Source128: de_AT.zip
Source129: en_AU.zip
Source130: es_MX.zip
Source131: fo_FO.zip
Source132: fr_BE.zip
Source133: lt_LT.zip


##
## Sources for hyphenation dictionaries
##

Source200: hyph_da.zip
Source201: hyph_en.zip
Source202: hyph_fr.zip
Source203: hyph_de.zip
Source204: hyph_it.zip
Source205: hyph_ru.zip
Source206: hyph_nl.zip
Source207: hyph_cs.zip
Source208: hyph_es.zip
Source209: hyph_sk.zip
Source210: hyph_sl.zip
Source211: hyph_uk.zip
Source212: hyph_hu.zip
Source213: hyph_sv.zip


##
## Sources for hyphenation dictionaries
##

#Source300: thes_de_DE.zip
#Source301: thes_ro_RO.zip


##
## Packages information
##

%description
myspell-* packages contain spell checking data to be used by
OpenOffice.org or any other MySpell-capable application, like
Mozilla. myspell-hyph-* packages contain hyphenation dictionaries for
a particular set of languages.

# Spelling dictionaries
%{expand:%(/bin/sh %{SOURCE0} DESC DICT bg_BG 20020716 "Bulgarian (Bulgaria)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT ca_ES 20021015 "Catalan" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT hr_HR 20020411 "Croatian (Croatia)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT cs_CZ 20030101 "Czech (Czech Republic)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT da_DK 20030128 "Danish (Denmark)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT nl_NL 20030824 "Dutch (Netherland)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT en_CA 20020315 "English (Canada)" "Public Domain")}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT en_GB 20021216 "English (United Kingdom)" LGPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT en_US 20020626 "English (US)" BSD)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT fr_FR 20020608 "French (France)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT de_DE 20020629 "German (Germany)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT de_CH 20030228 "German (Switzerland)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT el_GR 20020610 "Greek (Greece)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT hu_HU 20030525 "Hungarian (Hungary)" LGPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT it_IT 20030731 "Italian (Italy)" LGPL/GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT pl_PL 20020430 "Polish (Poland)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT pt_PT 20020629 "Portuguese (Portugal)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT pt_BR 20030110 "Portuguese (Brasil)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT es_ES 20030408 "Spanish (Spain)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT sk_SK 20030122 "Slovak (Slovak Republic)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT sv_SE 20030814 "Swedish (Sweden)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT nb_NO 20020830 "Norwegian/Bokml (Norway)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT nn_NO 20020830 "Norwegian/Nynorsk (Norway)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT ga_IE 20021008 "Irish (Ireland)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT gl_ES 20030809 "Galician (Spain)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT ru_RU 20030108 "Russian (Russia)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT sl_SI 20021008 "Slovenian (Slovenia)" BSD-like)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT uk_UA 20021217 "Ukrainian (Ukraine)" LGPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT de_AT 20030816 "German (Austria)"  GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT en_AU 20030329 "English (Australian)" LGPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT es_MX 20030818 "Spanish (Mexico)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT fo_FO 20030825 "Faroese (Faroe Islands)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT fr_BE 20030619 "French (Belgium)" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC DICT lt_LT 20030219 "Lithuanian (Lithuania)" BSD-like)}

# Hyphenation dictionaries
%{expand:%(/bin/sh %{SOURCE0} DESC HYPH da 20020727 "Danish" LGPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC HYPH en 20020727 "English" LGPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC HYPH fr 20020727 "French" LGPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC HYPH de 20020727 "German" LGPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC HYPH it 20030809 "Italian" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC HYPH ru 20020727 "Russian" LGPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC HYPH nl 20030824 "Dutch" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC HYPH cs 20030101 "Czech" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC HYPH es 20021030 "Spanish" LGPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC HYPH sk 20030101 "Slovak" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC HYPH sl 20021003 "Slovenian" "Copyright Matjaz Vrecko")}
%{expand:%(/bin/sh %{SOURCE0} DESC HYPH uk 20021219 "Ukrainian" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC HYPH hu 20030325 "Hungarian" GPL)}
%{expand:%(/bin/sh %{SOURCE0} DESC HYPH sv 20030814 "Swedish" LGPL)}

%prep
%setup -q -n %{name}-%{myversion}-%{myrelease} -T -c

# Handle spelling dictionaries
for dictfile in %{SOURCE100} %{SOURCE101} %{SOURCE102} %{SOURCE103} %{SOURCE104} \
		%{SOURCE105} %{SOURCE106} %{SOURCE107} %{SOURCE108} %{SOURCE109} \
		%{SOURCE110} %{SOURCE111} %{SOURCE112} %{SOURCE113} %{SOURCE114} \
		%{SOURCE115} %{SOURCE116} %{SOURCE117} %{SOURCE118} %{SOURCE119} \
		%{SOURCE120} %{SOURCE121} %{SOURCE122} %{SOURCE123} %{SOURCE124} \
		%{SOURCE125} %{SOURCE126} %{SOURCE127} %{SOURCE128} %{SOURCE129} \
		%{SOURCE130} %{SOURCE131} %{SOURCE132} %{SOURCE133}
do
  basefile="${dictfile##*/}"
  langpack="${basefile/.zip/}"
  mkdir -p doc/DICT/$langpack
  unzip -d doc/DICT/$langpack $dictfile
  mkdir -p dic/DICT/$langpack
  mv doc/DICT/$langpack/$langpack.{aff,dic} dic/DICT/$langpack
  # create dummy file if docdir is empty
  if ! ls doc/DICT/$langpack/* ; then
cat > doc/DICT/$langpack/README_$langpack.txt << EOF
Spell checking dictionary for $langpack
EOF
  fi
  # fix permissions
  chmod 644 doc/DICT/$langpack/*
done

# Handle spelling dictionaries
for hyphfile in %{SOURCE200} %{SOURCE201} %{SOURCE202} %{SOURCE203} %{SOURCE204} \
		%{SOURCE205} %{SOURCE206} %{SOURCE207} %{SOURCE208} %{SOURCE209} \
		%{SOURCE210} %{SOURCE211} %{SOURCE212} %{SOURCE213}
do
  basefile="${hyphfile##*/}"
  langpack="${basefile/.zip/}"
  mkdir -p doc/HYPH/$langpack
  unzip -d doc/HYPH/$langpack $hyphfile
  mkdir -p dic/HYPH/$langpack
  mv doc/HYPH/$langpack/$langpack.dic dic/HYPH/$langpack
  # create dummy file if docdir is empty
  if ! ls doc/HYPH/$langpack/* ; then
cat > doc/HYPH/$langpack/README_$langpack.txt << EOF
Hyphenation dictionary for $langpack
EOF
  fi
  # fix permissions
  chmod 644 doc/HYPH/$langpack/*
done

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{dictdir}/

# Install spell checking dictionaries
for file in dic/DICT/*/*; do
  install -m 644 $file $RPM_BUILD_ROOT%{dictdir}/${file##*/}
done

# Install hyphenation dictionaries
for file in dic/HYPH/*/*; do
  install -m 644 $file $RPM_BUILD_ROOT%{dictdir}/${file##*/}
done

%clean
rm -rf $RPM_BUILD_ROOT

##
## Scripts for spell checking
##

%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT bg_BG)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT ca_ES)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT hr_HR)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT cs_CZ)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT da_DK)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT nl_NL)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT en_CA)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT en_GB)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT en_US)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT fr_FR)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT de_DE)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT de_CH)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT el_GR)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT hu_HU)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT it_IT)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT pl_PL)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT pt_PT)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT pt_BR)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT es_ES)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT sk_SK)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT sv_SE)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT nb_NO)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT nn_NO)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT ga_IE)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT gl_ES)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT ru_RU)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT sl_SI)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT uk_UA)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT de_AT)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT en_AU)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT es_MX)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT fo_FO)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT fr_BE)}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS DICT lt_LT)}

##
## Scripts for hyphenation
##

%{expand:%(/bin/sh %{SOURCE0} SCRIPTS HYPH da "DA" )}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS HYPH en "US CA GB")}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS HYPH fr "BE FR")}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS HYPH de "DE CH")}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS HYPH it "IT")}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS HYPH ru "RU")}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS HYPH nl "NL")}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS HYPH cs "CZ")}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS HYPH es "ES")}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS HYPH sk "SK")}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS HYPH sl "SI")}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS HYPH uk "UA")}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS HYPH hu "HU")}
%{expand:%(/bin/sh %{SOURCE0} SCRIPTS HYPH sv "SE")}

##
## Files for spell checking
##

%{expand:%(/bin/sh %{SOURCE0} FILES DICT bg_BG)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT ca_ES)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT hr_HR)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT cs_CZ)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT da_DK)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT nl_NL)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT en_CA)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT en_GB)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT en_US)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT fr_FR)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT de_DE)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT de_CH)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT el_GR)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT hu_HU)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT it_IT)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT pl_PL)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT pt_PT)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT pt_BR)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT es_ES)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT sk_SK)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT sv_SE)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT nb_NO)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT nn_NO)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT ga_IE)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT gl_ES)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT ru_RU)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT sl_SI)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT uk_UA)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT de_AT)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT en_AU)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT es_MX)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT fo_FO)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT fr_BE)}
%{expand:%(/bin/sh %{SOURCE0} FILES DICT lt_LT)}

##
## Files for hyphenation
##

%{expand:%(/bin/sh %{SOURCE0} FILES HYPH da)}
%{expand:%(/bin/sh %{SOURCE0} FILES HYPH en)}
%{expand:%(/bin/sh %{SOURCE0} FILES HYPH fr)}
%{expand:%(/bin/sh %{SOURCE0} FILES HYPH de)}
%{expand:%(/bin/sh %{SOURCE0} FILES HYPH it)}
%{expand:%(/bin/sh %{SOURCE0} FILES HYPH ru)}
%{expand:%(/bin/sh %{SOURCE0} FILES HYPH nl)}
%{expand:%(/bin/sh %{SOURCE0} FILES HYPH cs)}
%{expand:%(/bin/sh %{SOURCE0} FILES HYPH es)}
%{expand:%(/bin/sh %{SOURCE0} FILES HYPH sk)}
%{expand:%(/bin/sh %{SOURCE0} FILES HYPH sl)}
%{expand:%(/bin/sh %{SOURCE0} FILES HYPH uk)}
%{expand:%(/bin/sh %{SOURCE0} FILES HYPH hu)}
%{expand:%(/bin/sh %{SOURCE0} FILES HYPH sv)}

%changelog
* Mon Sep  1 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-1mdk
- Spellchecking:
  * NEW: German (Austria)	[2003/08/16]
  * NEW: English (Australia)	[2003/03/29]
  * NEW: Spanish (Mexico)	[2003/08/18]
  * NEW: Faroese		[2003/08/25]
  * NEW: French (Belgium)	[2003/06/19]
  * NEW: Lithuanian (Lithuania)	[2003/02/19]
  * UPD: Danish (Denmark)	[2003/01/28]
  * UPD: German (Switzerland)	[2003/02/28]
  * UPD: German (Germany)	[2003/02/28]
  * UPD: Spanish (Spain)	[2003/04/08]
  * UPD: Galician (Spain)	[2003/08/09]
  * UPD: Hungarian (Hungary)	[2003/05/25]
  * UPD: Italian (Italy)	[2003/07/31]
  * UPD: Dutch (Netherland)	[2003/08/24]
  * UPD: Portuguese (Brasil)	[2003/01/10]
  * UPD: Slovak			[2003/01/22]
  * UPD: Swedish (Sweden)	[2003/08/14]
- Hyphenation:
  * NEW: Hungarian (Hungary)	[2003/03/25]
  * NEW: Swedish (Sweden)	[2003/08/14]
  * UPD: Italian (Italy)	[2003/08/09]
  * UPD: Dutch (Netherland)	[2003/08/24]

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.1-6mdk
- rebuild

* Fri Jan 10 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-5mdk
- Spellchecking:
  * NEW: Irish		(2002/10/08)
  * NEW: Galician	(2002/09/28)
  * NEW: Russian	(2003/01/08)
  * NEW: Ukrainian	(2002/12/17)
  * UPD: Czech		(2003/01/01)
  * UPD: English (GB)	(2002/12/16)
  * UPD: Spanish	(2002/10/18)
  * UPD: Swedish	(2002/12/17)
- Hyphenation:
  * NEW: Czech		(2003/01/01)
  * NEW: Spanish	(2002/10/30)
  * NEW: Slovak		(2003/01/01)
  * NEW: Slovenian	(2002/10/03)
  * NEW: Ukrainian	(2002/12/19)

* Fri Sep  6 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-4mdk
- Stop providing explicit release tag for virtual packages

* Fri Sep  6 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-3mdk
- Provides: myspell-hyphenation for -hyph- packages. Also make them
  depend on actual locales- package
- Update English - United Kingdom dictionary (2002/09/03)
- Update Italian dictionary (2002/09/03)
- Update Spanish dictionary (2002/09/04)

* Sat Aug 31 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-2mdk
- Add Dutch hyphenator (2002/08/30)
- Add Norwegian dictionaries (2002/08/30)
- Update Dutch dictionary (2002/08/30)
- Update Spanish dictionary (2002/08/25)

* Fri Aug 23 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-1mdk
- We now automatically generate sub packages for spelling and
  hyphenation dictionaries. As such, the new naming convention of the
  package is myspell-<version>-0.<date>.Xmdk, where X increases
  independently from <date> tag and represents the primary package
  version, ie. myspell-dictionaries. <date> tag increments according
  to actual dictionaries updates.
